Skip to main content
GET
/
{version}
/
status
/
source
Get Payment Source Status
curl --request GET \
  --url https://api.example.com/{version}/status/source \
  --header 'Authorization: Bearer <token>'
{
  "source_id": 123,
  "source_type": "<string>",
  "source_number": "<string>",
  "status": "<string>",
  "currency": "<string>",
  "total_amount": 123,
  "paid_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
required
Allowed value: "v1"

Query Parameters

source_type
enum<string>
required
Available options:
INVOICE,
ORDER,
SUBSCRIPTION
source_id
integer
required

Response

Successful Response

PaymentSourceStatusResponse

source_id
integer
required
source_type
string
required
source_number
string
required
status
string
required
currency
string
required
total_amount
required
paid_at
string<date-time> | null
Last modified on June 23, 2026